Class OrdersImpl
java.lang.Object
com.eqixiac.equinix.customerportal.client.implementation.OrdersImpl
- All Implemented Interfaces:
Orders
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionAdds a note to an order.Adds a note to an order with an optional reference id (for two-way notes) and attachments.Cancels an order.Cancels an order, optionally restricting cancellation to specific order lines and attaching supporting documentation.Retrieves a specific order by its unique identifier.Retrieves a specific order by its unique identifier, scoped to the supplied IBXs.List<? extends OrderNegotiation> getNegotiations(String orderId) Retrieves the negotiation messages for an order, each proposing an alternative date and time for fulfilling the order request.replyNegotiation(String orderId, NegotiationAction action, String referenceId) Replies to an order negotiation, approving or cancelling the proposed schedule.replyNegotiation(String orderId, NegotiationAction action, String referenceId, String reason) Replies to an order negotiation, approving or cancelling the proposed schedule, with an optional reason (used when cancelling).
-
Constructor Details
-
OrdersImpl
public OrdersImpl()
-
-
Method Details
-
getByUuid
-
getByUuid
Description copied from interface:OrdersRetrieves a specific order by its unique identifier, scoped to the supplied IBXs.Maps to
GET /colocations/v2/orders/{orderId}with theibxsquery parameter. -
getNegotiations
Description copied from interface:OrdersRetrieves the negotiation messages for an order, each proposing an alternative date and time for fulfilling the order request.- Specified by:
getNegotiationsin interfaceOrders- Parameters:
orderId- the identifier of the order- Returns:
- the list of negotiation messages
-
replyNegotiation
Description copied from interface:OrdersReplies to an order negotiation, approving or cancelling the proposed schedule.- Specified by:
replyNegotiationin interfaceOrders- Parameters:
orderId- the identifier of the orderaction- the action to perform (APPROVE, APPROVE_NON_EXPEDITE, or CANCEL)referenceId- the reference id of the activity or order line- Returns:
trueif the reply was accepted
-
replyNegotiation
public Boolean replyNegotiation(String orderId, NegotiationAction action, String referenceId, String reason) Description copied from interface:OrdersReplies to an order negotiation, approving or cancelling the proposed schedule, with an optional reason (used when cancelling).- Specified by:
replyNegotiationin interfaceOrders- Parameters:
orderId- the identifier of the orderaction- the action to perform (APPROVE, APPROVE_NON_EXPEDITE, or CANCEL)referenceId- the reference id of the activity or order linereason- the reason for the action (used when cancelling)- Returns:
trueif the reply was accepted
-
addNote
-
addNote
-
cancel
-
cancel
public Boolean cancel(String orderId, String reason, List<AttachmentReference> attachments, List<String> lineIds) Description copied from interface:OrdersCancels an order, optionally restricting cancellation to specific order lines and attaching supporting documentation.- Specified by:
cancelin interfaceOrders- Parameters:
orderId- the identifier of the orderreason- the reason for cancellationattachments- references to previously uploaded attachments, ornulllineIds- the order line ids to cancel, ornullto cancel the whole order- Returns:
trueif the cancellation was accepted
-